remove_copy_if.hpp File Reference

## Typedefs

template<typename I , typename O >
using | ranges::remove_copy_if_result = detail::in_out_result< I, O >

## Functions

template<typename I , typename S , typename O , typename C , typename P = identity>
auto | ranges::remove_copy_if (I first, S last, O out, C pred, P proj=P{}) -> remove_copy_if_result< I, O > requires input_iterator< I > &&sentinel_for< S, I > &&weakly_incrementable< O > &&indirect_unary_predicate< C, projected< I, P >> &&indirectly_copyable< I, O >
| function template `remove_copy_if`
template<typename Rng , typename O , typename C , typename P = identity>
auto | ranges::remove_copy_if (Rng &&rng, O out, C pred, P proj=P{}) -> remove_copy_if_result< safe_iterator_t< Rng >, O > requires input_range< Rng > &&weakly_incrementable< O > &&indirect_unary_predicate< C, projected< iterator_t< Rng >, P >> &&indirectly_copyable< iterator_t< Rng >, O >